indexing

   title:       "Boolean formatter";
   cluster:     "format/science [format/science]";
   project:     "The Universal Simple Formatting Library (USFL)";
   copyright:   "SIG Computer, 1995";
   author:      "Igor Nesterof (nest@eiffel.ru)";
   original:    08,Sep,1995;
   version:     1.0;
   done_at:     "SIG Computer (info@eiffel.ru)";
   extrnl_name: "bool_fmt.e"

class BOOLEAN_FORMATTER

   STRING_FORMATTER
   undefine
      make
   select
      set_width, set_precision, set_sign, set_align_left, set_align_right,
      set_align_center, set_align_char, output
   end
   ABSTRACT_FORMATTER
   undefine
      set_width, set_precision, set_sign, set_align_left, set_align_right,
      set_align_center, set_align_char
   redefine
      make
   select
      make
   end


creation
   make

feature

   make(b : BOOLEAN_REF) is
   require else
   format_bool : b /= Void
   do
      if b.item = True then
         string_make("True")
      else
         string_make("False")
      end
   end

end -- class BOOLEAN_FORMATTER
